TAAS - Feature #175

Other Issue
03/13/2023 11:06 AM - Junaid M

Status: Reopen Bugs Start date: 03/13/2023
Priority: Normal Due date:

Assignee: Vivekp V % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Other Issue

Description

Coding Other Issue

History

#1 - 03/21/2023 07:37 PM - Anil KV

- Tracker changed from Bug to Feature

#2 - 03/22/2023 10:40 AM - Junaid M
- Assignee changed from Junaid M to Amal Siby

#3 - 03/27/2023 09:44 AM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 05/12/2023 05:18 PM - Amal Siby
- Status changed from Coding Started to Reopen Bugs Coding Done
- % Done changed from 40 to 60

Ap Share Tab

Card details to Do

#5 - 05/12/2023 05:18 PM - Amal Siby
- Status changed from Reopen Bugs Coding Done to Particialy Coding Done
- % Done changed from 60 to 40

#6 - 07/06/2023 06:01 PM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Remove SAR from GUI

2.Set alignment on drop down label toggle

3.Fix bugs on Ancillary Sevice Multi selection box- Drop down Icon missing

4 Fix bugs on date picker - Set range & proper validations

5.Set tool tips on GUI - LPO No. date picker

6.AP Sharing tab - Set right alignment on amounts, resize column & corect spell mistakes
7.Set precision GUI - Fare - precision missng on refresh

8.AP Sharing tab - Add popup - Set right alignment on amounts & resize column
9.Fix bugs on Date picker - Shrink

10.Set proper validation on no of days - if input box empty error on GUI

(Error converting value {null} to type 'System.Int16'.

Path 'mdIOtherlssue.mdIOther.sinNoOfDays', line 1, position 1290.)
#7 - 08/11/2023 04:10 PM - Seema Mathew

- Tested By changed from Amal Cyriac to Seema Mathew
ISSUE FOUNDED

1.If the to date is less than the from date, it is saved

#8 - 09/12/2023 05:24 PM - Seema Mathew

ISSUE FOUNDED-

1.HAND MAKER NOT TOOL TIP

#9 - 09/26/2023 05:04 PM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#10 - 09/29/2023 05:57 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
- Tested By changed from Seema Mathew to unnikannan S
ISSUE FOUNDED
1.NOT CLEARING DELETED DATA
#11 - 09/30/2023 11:58 AM - unnikannan S
unnikannan S wrote in #note-10:
ISSUE FOUNDED

1.NOT CLEARING DELETED DATA
2.ERROR WHILE ADDING LETTERS IN NO OF DAYS

#12 - 10/18/2023 07:10 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Reported Bug Fixed

#13 - 11/15/2023 05:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ISSUE IN AMOUNT FIELD IN FOCUS OUT > FXED

2.ERROR WHILE ADDING DECIMAL VALUE IN VOUCHER DETAILS CHOOSING NO.OF KG > FXED
3.REMOVE COUNTRY NAME ALONG WITH COUNTRY CODE > FXED

4.RE-DIRECT ISSUE > FXED

5.ERROR WHILE CHOOSING EDIT MODE FROM (NOT REPORTED SALE-MODULE) ==> FXED

#14 - 11/22/2023 01:05 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 01/05/2024 10:12 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED

1.CHANGE IN FARE FIELDS IN FOCUS OUT FROM PERCENTAGE FIELD ALSO IN AP SHARING FIELD

FIXED 2.ERROR WHILE ADDING CUSTOMER/FOP CHOOSING THE ACCOUNTS THOSE SETED AS THE ACCOUNTS OF BRANCH MASTER
CONTROL A/C

Fixed 3.MISSING MANDATORY FIELDS,PRECISION,AND CHANGE IN TAB WHILE CHOOSING NEW BUTTON

Fixed 4. ERROR WHILE ADDING VOUCHER NUMBER MANUALLY ON THE BASIS OF CONTINUOUS SERIES
5.CONNECT DATAS TO SUPPLIER SERVICE WISE SOA

FIXED 6.SHOW DATA OF ANCILLARY SERVICES AS PER CHOOSEN SERVICES IN ANCILLARY SERVICE MASTER
Fixed 7.SHOW DELETE BUTTON ON FIRST SAVE

8.MISSING SAVED XO VOUCHERS WHILE DELETING ONE VOUCHER ITEM FROM VOUCHERS

Fixed 9.ERROR IN UPDATE SHOWING ALREADY UPDATED MESSAGE

10.SHOWING FARE TAX COMPONENTS FROM CHILD FARE TO MAIN FARE

11.SHOWING CUSTOMER BRANCH/DETAILS FIELD IN SALE OTHER TAB

12.CONNECTIVITY TO (SET SERVICE RATE,AGENT COMMISSION,SET FEE/DISCOUNT)

13.CONNECTIVITY OF REGION

14.ERROR ON SAVE'

15.ERROR WHILE CHOOSING COPY OF A ALREADY SOLD VOUCHERS COPY

#16 - 02/05/2024 09:03 PM - Junaid M
GUI Changes -> Ask junaid for Changes page

#17 - 02/27/2024 03:28 PM - Junaid M

Other Issue and Cancel GUI Changes

— Tax Components popup all issue and Cancel

#18 - 03/18/2024 03:05 PM - unnikannan S
- File clipboard-202403181505-Igbn1.png added

#19 - 05/03/2024 10:43 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#20 - 08/05/2024 06:01 PM - Arathy PS

ISSUE FOUNDED:
1) ANCILLARY SERVICES ARE NOT SHOWING

#21 - 08/10/2024 07:39 PM - Junaid M
Add Feature

Load Voucher Stock Information to Issue/Cancel module

#22 - 10/23/2024 10:52 AM - Arathy PS
ISSUE FOUND

1) Tax component not loading in tax details field
2) Upon clicking new button the no: of pax becomes zero
3) Status of sold other vouchers not changing to sold and thereby they can be sold multiple times.

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

NEW CHANGES

1. In Other Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#23 - 11/22/2024 01:19 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

NEW CHANGES DONE

Additional Pax
—> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>
—->Add 'Import' Button after 'Sequence' button

* Check Account or JV import

— File* (Red) file Chooser

-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>

Child <input>

Infant<input>

-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons

—> In Additional Pax Pop-up —--> at the end of pax add attachment icon as grouped. click then open attachemnt u

pload for pax name
-> In Ticket tab -> at the end of pax add attachment icon as grouped. click then open attachemnt upload for pa
X name

issue found

1)on loading cancelled/sold/refunded other voucher in other issue the status is not updating. FIXED
1)on copying sold/refunded voucher the document number also get copied. fixed
2)can update the status of cancelled voucher to issue. fixed

NEW CHANGES

1. The drop drown at the top showing the status of the ticket (such as issued,cancelled,sold,refund,against sale) with corresponding document no:
and while clicking on them it should redirect to the said document.

#24 - 12/06/2024 03:14 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FIXED

1. Region not loading. FIXED

2. While changing region from one to another, billing tax values connected to it in fare tab is not changing. FIXED

3.when billing tax are excluded for a customer through Non Billing Tax Account ,billing tax values are showing for the customer FIXED
4.direct void from xo is loading in issue FIXED

5.0n copying xo voucher status is also update as issued(xo) FIXED

6.Two tax amounts are showing when we have two equations set with effective from date previous to the current date fixed

7.0n saving a issue status is not changes to issued FIXED

Change: Change the red star for LPO No: to blue star and show title : If ticked then show will show in LPO waiting report. DONE

#25 - 01/08/2025 12:33 PM - Arathy PS
ISSUE FOUND

1. Designate the supplier that is given in the service provider module when the said service provider is selected. FIXED
2. Allow the service provider for only the services selected. FIXED

3. When clicking the new button total no: for pax becomes zero. FIXED

4. Can change the mandatory fields filled in voucher stock after loading them here.

5. In the fare tab while entering rounding amount double the original amount we entered is entering.

NEW CHANGES DONE

Issue
==>In AP Sharing tab,

--> 'Sharing Type' Default 'Customer Corp Card'

--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account
--> 'Corporate Card*' Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.
--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

NEW CHANGES DONE

1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card'":- Cardmember Name

--> Add "AEME Approval Code™ Textbox

#26 - 02/12/2025 11:07 AM - Arathy PS
ISSUE FIXED

1. Can change the mandatory fields filled in voucher stock after loading them here. FIXED

2. In the fare tab while entering rounding amount double the original amount we entered is entering. fixed

3. When we enter a date like 1/01/2025 then a validation for financial year 2024 appears. COULDNT REPRODUCE -- ANY SPECIFIC STEPS
SPECIFY THEM

4. Cant change a other issue with cost adding cost center. COULDNT REPRODUCE -- ANY SPECIFIC STEPS SPECIFY THEM

#27 - 03/07/2025 12:15 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#28 - 03/10/2025 11:20 AM - Theja Ponon

- File clipboard-202503101119-jnm42.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#29 - 03/10/2025 11:32 AM - Theja Ponon
- File clipboard-202503101131-hkOez.png added
- File clipboard-202503101131-vswuc.png added

Issue FIXED

1)Given adult pax count but can add child pax inforamtion in additional paxtab

Other Issue

Voucher No*

0s/002 lssued - lssue Date” | 10/03/2025 o) Restore™

Customer = Other Service = Fare  Additional Pax ~ Custom Data AP Sharing  Note

Service® | SAQ05: Other Service v Period” | 11/03/2025 (i 12/03/2025 )

Ancillary Service™ | gaject. - Sup Conf No
Service Provider™ Confirmation Number
Country No OfDays = | 0
Supplier”  sUPQOT BSP Supplier QAR v PNR No
Corporate Card™ Region | Selact. -
Pax Profile + LPO No® dd/MMAyyyy ]
Pax* 5. & Reference
Mumber Of Pax | 2 0 0 Total Pax: 2 Remarks
A
Channel Other v ALPO
Booking Staff

Other Issue

vs - Voucher No* 05/002 lssued ~ Issue Date™ 10/03/2025 G Restore™

Customer  Other Service Fare  Additional Pax = Custom Data AP Sharing  Note

+ Add & import ||+ Adult Fare Y Q@ 2 @
# | Code Pax Profile Pax Name =
1 POF001 Pax Profile Child &1
2 POF0O1 Pax Profile Adult &S 1

2)On deleting the other Issue
Other Issue

P0001: jsnSqlRes: {"sinSglCy " : -1, "strSglCy ode” : "ERROR", "strSgIC:
table \"tbl_other_service\" violates foreign key constraint \*
\"tbl_supp_doc_ap_sup_sharing\"", “strSqlSysExceptionHint" ; "SOL statement \'DELETE FROM otherservice.tbl_other_service WHERE sin_record._t
sp_delete_other issue(bigint bigintinteger,bigint character varyingl]) line 266 at SQL statement”, “binSqlPk" : 0, “binSglLogPk” : 0, “strSgiDacNo® : null, “detSqiOtherData" : null}

Vs - Voucher No* 0s/002 Jssued - Issue Date”
Customer = Other Service Fare Custom Data AP Sharing Note
Customer/FOP* | CAS001 Cash QAR v Branch™ ' BROO1: Main
Customer = | cysoot Customer Department™ | DPOO1: Account

Commission Agent 0.00 QAR File No™
Responsible User = DueDate* | do/MM/yyyy (] Customer Side Posting™:

Cost Center®

Posting Status No Posting ~ By

Created By:  Administrator(10/03/2025 11:17 AM)
Meodified By:

3)Check the visibility of delete icon in additional pax tab

#30 - 03/10/2025 06:59 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 03/13/2025 11:03 AM - Theja Ponon

- File clipboard-202503131047-np3gy.png added

- File clipboard-202503131049-5jtkj.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

1)While doing AP sharing with full amount then also asking to allow partial payment
Travvise Other Issue

" : "Other Issue Delete Failed”, *strSglCustomErrorType” : "DATABASE_SYSTEM_ERROR”, *strSglCustomErrorCode” : null, *strSqlSysMessage” : "update or delete on
pp_doc_ap_sup_sharing_fk_other_service_id_fiey\" on table \"tb]_supp_doc_ap_sup_sharing\"", "strSqlSysExceptionDetail” : "Key [pk_other_service_id)=(4) is still referenced from table
:SMALLINT AND pk_other_service id = binOtherServiceld:BIGINT\"\nPL/pgSQL function

(o] Restore”

Enquiry No™

Partial Payment Not Allowed For Selected Supplier, Corporate Card, Moke Changes in AP Sharing to Continue

Vs Voucher No™ | TKDT1 lsue = Issuz Date”
Customer = Other Service Fere  Custom Data AP Sharing
Senice” | SAQ0S: Other Service v Period” | 14/03/2025
Ancillary Service” | seace. - Sup Conf No

Service Provider™ Confirmation Number

Country NoOfDays ~ | 0
Supplier* | SUP0O1 Supplier QAR v PNR No
Corporate Card® | COC002 Corporate Card customer Region | select
Pax Profile + LPO No*
3 Pax' | ss Q Reference
Number Of Pax | 1 o 0 Total Pax: 1 Remarks
Channel Other v
B Booking Staff*
Issuing Staff*
Ref. Employee ~
Card Number® | 2423 Expiry Date” @
AEME Approval Code™ | 23423 Card Member Name™ | 124234

2)After entering fare , adding Ap sharing Amount is not showing in fare section
X
] Restore”
B | | 15032025 )
dd/MMyyyy =]
4
[<XJ -]
AP Sharing

Sharing Category™  5ypplier v Supplier
Sharing Type™  Paid to Supplier through Customer Card (UCCF) b Fare | 0.00 % | 0.00 0f 100.00
Andillary Service ~ Tax | 0.00 % | 0.00 Of 0.00
Date® 025 Commission | (.00 % 0.00 Of 0.00
Corporate Card™ ~ | COCO02 Corporate Card customer Supplier Fee* | 0,00 % | 0.00 Of 0.00
Supplier SUP0O1 Supplier Payable = 0.00 100.00
Reference Total Payable 100.00 Total Shared 0.0
Remarks Current Shared 0.00 Balance 100.00
P
Card Number* Expiry Date* | @ | dd/M i)
AEME Approval Code™ Card Member Name™
[ Close + Add
#32 - 03/19/2025 02:11 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#33 - 03/21/2025 12:24 PM - Baseem Shan
Implemented Set Fee/ Discount
#34 - 03/21/2025 12:56 PM - Theja Ponon
- File clipboard-202503211256-q1rmn.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
Issue Found
1)Issue in Ap sharing popup
Sharing Categary®  gypplier v Supplier
Sharing Type™ | Paid to Supplier through Customer Card (UCCF) v Fare | 0.00 % | 0.00 Of 0.00
Ancillary Service v Tax | 0.00 % 0.00 Of0.00
Date* 21/03/2025 Commission | 0.00 % | 0.00 Of 0.00
Corporate Card™ ~ Supplier Fee* | 0.00 % 0.00 Of 0.00
Supplier® Payable | 0.00 0.00
Reference Total Payable 0.00 Totsl Shared  0.00
Remarks Current Shared 0.00 Balance 0.00
P
Card Number® Expiry Date™
AEME Approval Code™ Card Member Name®
& Close ¥ Add

#35 - 03/22/2025 09:20 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#36 - 03/24/2025 03:23 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Customer side tax get missing when we take a copy of already issued ticket and changed its region.

Files

clipboard-202403181505-Igbn1.png 185 KB 03/18/2024 unnikannan S
clipboard-202503101119-jnm42.png 98.8 KB 03/10/2025 Theja Ponon
clipboard-202503101131-hk0ez.png 79.4 KB 03/10/2025 Theja Ponon
clipboard-202503101131-vswuc.png 46.5 KB 03/10/2025 Theja Ponon
clipboard-202503131047-np3gy.png 119 KB 03/13/2025 Theja Ponon
clipboard-202503131049-5ijtkj.png 46.5 KB 03/13/2025 Theja Ponon
clipboard-202503211256-q1rmn.png 45.6 KB 03/21/2025 Theja Ponon
